%define _libexecdir %{_exec_prefix}/lib
Name:           os-prober
Version:        1.57
Release:        %mkrel 5
Summary:        Probes disks on the system for installed operating systems
License:        GPLv1 and GPLv2+
Group:          System/Boot and Init
Url:            http://kitenet.net/~joey/code/os-prober/
#               http://ftp.de.debian.org/debian/pool/main/o/os-prober/os-prober_1.57.tar.gz
Source0:        http://ftp.de.debian.org/debian/pool/main/o/%{name}/%{name}_%{version}.tar.gz
Source1:        COPYING-note.txt

# move newns binary outside of os-prober subdirectory, so that debuginfo
# can be automatically generated for it
Patch0:         os-prober-newnsdirfix.patch
# Fix spelling of SUSE aj@suse.de
Patch1:         os-prober-SUSE.patch
# Sent upstream by Fedora
Patch2:         os-prober-mdraidfix.patch
Patch3:         os-prober-yaboot-parsefix.patch
Patch4:         os-prober-usrmovefix.patch
Patch5:         os-prober-remove-basename.patch
Patch6:         os-prober-disable-debug-test.patch
# To be sent upstream by Fedora
Patch7:         os-prober-btrfsfix.patch
# Add Mageia to 90linux-distro
Patch8:         os-prober-1.57-mga-add_mageia-release_to_90linux-distro.patch

%description
This package detects other OSes available on a system and outputs the results
in a generic machine-readable format. Support for new OSes and Linux
distributions can be added easily.

%prep
%setup -q -n %{name}-%{version}
cp %SOURCE1 .

%apply_patches

%build

%make

%install
install -m 0755 -d %{buildroot}%{_bindir}
install -m 0755 -d %{buildroot}%{_localstatedir}/lib/%{name}

install -m 0755 -p os-prober linux-boot-prober %{buildroot}%{_bindir}
install -m 0755 -Dp newns %{buildroot}%{_libexecdir}/newns
install -m 0644 -Dp common.sh %{buildroot}%{_datadir}/%{name}/common.sh

%ifarch %{ix86} x86_64
ARCH=x86
%endif

for probes in os-probes os-probes/mounted os-probes/init \
              linux-boot-probes linux-boot-probes/mounted; do
        install -m 755 -d %{buildroot}%{_libexecdir}/$probes
        cp -a $probes/common/* %{buildroot}%{_libexecdir}/$probes
        if [ -e "$probes/$ARCH" ]; then
                cp -a $probes/$ARCH/* %{buildroot}%{_libexecdir}/$probes
        fi
done
if [ "$ARCH" = x86 ]; then
        install -m 755 -p os-probes/mounted/powerpc/20macosx \
            %{buildroot}%{_libexecdir}/os-probes/mounted
fi

%files
%doc README TODO debian/copyright debian/changelog COPYING-note.txt
%{_bindir}/*
%{_libexecdir}/linux-boot-probes
%{_libexecdir}/newns
%{_libexecdir}/os-probes
%{_datadir}/%{name}
%{_localstatedir}/lib/%{name}



%changelog

* Tue Feb 19 2013 barjac <barjac> 1.57-5.mga3
+ Revision: 399268
- use upstream tarball instead of git
- remove script for tarball creation
- Add Fedora patch to fix mdraid
- Add Fedora patch for yaboot parse issue
- Add Fedora patch for usrmove
- Add Fedora remove-basename patch
- Add Fedora disable-debug-test patch
- Add Fedora btrfs fix patch
- use %%apply_patches

* Sat Feb 16 2013 barjac <barjac> 1.57-4.mga3
+ Revision: 398641
- patch - add Mageia to 90linux-distro

* Sun Jan 20 2013 barjac <barjac> 1.57-3.mga3
+ Revision: 390294
- update group

* Sun Jan 13 2013 umeabot <umeabot> 1.57-2.mga3
+ Revision: 362212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 1.57-1.mga3
+ Revision: 341370
- new version 1.57

* Fri Dec 07 2012 tv <tv> 1.56-3.mga3
+ Revision: 327818
- kill gratuitous requires, no need to bloat every install with lvm2 & dmraid
  which are pulled automatically by installer if needed

* Sun Sep 30 2012 barjac <barjac> 1.56-2.mga3
+ Revision: 300617
- Changed group in line with new policy

* Mon Sep 17 2012 barjac <barjac> 1.56-1.mga3
+ Revision: 295625
- New version 1.56

* Sun Jul 08 2012 barjac <barjac> 1.54-1.mga3
+ Revision: 268796
- new version 1.54

* Mon May 28 2012 barjac <barjac> 1.53-1.mga3
+ Revision: 247638
- imported package os-prober


* Sun Apr 28 2012 barjac <zen 25000[at]zen.co.uk> 1.52-1.mga2
- imported os-prober - spec stolen from SUSE with thanks and adapted for Mageia